import { IAbreviationTraductor, IBPS, IPseudo } from "../interfaces";
export declare class ValuesSingleton {
    private static instance;
    colors: {
        [key: string]: string;
    };
    abreviationsClasses: {
        [key: string]: string;
    };
    abreviationsValues: {
        [key: string]: string;
    };
    combos: {
        [key: string]: string[];
    };
    combosCreated: {
        [key: string]: string;
    };
    cssNamesParsed: any;
    alreadyCreatedClasses: string[];
    sheet: any;
    isDebug: boolean;
    bps: IBPS[];
    separator: string;
    styleConsole: string;
    pseudoClasses: string[];
    pseudosHasSDED: string[];
    pseudoElements: string[];
    pseudos: IPseudo[];
    importantActive: boolean;
    abreviationTraductors: IAbreviationTraductor[];
    lastCSSCreate: number;
    lastTimeAsked2Create: number;
    timesCSSCreated: number;
    timeBetweenReCreate: number;
    useTimer: boolean;
    private constructor();
    static getInstance(): ValuesSingleton;
}
